Subject: Re: [PATCH v2 4/4] bisect: simplify string_list memory handling

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 Jan 2026 08:56:36 -0800

Patrick Steinhardt <[email-masked]> writes:

> It was written this way originally because one of the callsites
> generated the item using xstrfmt(). But that spot switched to a plain
> xstrdup() in the preceding commit. That means we can now just let the
> string_list code handle allocation itself.

Thanks for an extra attention to the detail of the way to refer the
previous change ;-).

I think [2/4] is a good direction myself, but I'd prefer to hear
Taylor's opinion as well.

Thanks.